\documentclass{standalone}

\newcounter{mem_offset}
\setcounter{mem_offset}{-1}
\newcommand\rownumber{\stepcounter{mem_offset}\arabic{mem_offset}}

\begin{document}
\setlength{\tabcolsep}{1.45pt}
% This sets 32 centered fields
\begin{tabular}{|c||*{32}{c|}}  
  \hline
% bit fields
  %  -&31&30&29&28&27&26&25&24&23&22&21&20&19&18&17&16&15&14&13&12&11&10& 9& 8& 7& 6& 5& 4& 3& 2& 1& 0\\ \hline
  -&31&30&29&28&27&26&25&24&23&22&21&20&19&18&17&16&15&14&13&12&11&10&\phantom{2}9&\phantom{2}8&\phantom{2}7&\phantom{2}6&\phantom{2}5&\phantom{2}4&\phantom{2}3&\phantom{2}2&\phantom{2}1&\phantom{2}0\\ \hline
% \multicolum{count of spanning fields}{centering}{value}
  \rownumber &\multicolumn{8}{|c|}{0x3C = K28.1} & \multicolumn{24}{|c|}{0} \\ \hline
  \rownumber &\multicolumn{16}{|c|}{0} & \multicolumn{16}{|c|}{size} \\ \hline
  \rownumber &\multicolumn{8}{|c|}{Year} & \multicolumn{8}{|c|}{Month} & \multicolumn{8}{|c|}{Day} & \multicolumn{8}{|c|}{version} \\ \hline
  \rownumber &\multicolumn{8}{|c|}{0} &  \multicolumn{24}{|c|}{Spill \# [23..0]}    \\ \hline  
  \rownumber &\multicolumn{32}{|c|}{Time MSB [43..12}  \\ \hline  
  \rownumber &\multicolumn{4}{|c|}{time err}&\multicolumn{3}{|c|}{0}&\multicolumn{3}{|c|}{type} & FE & Er &\multicolumn{4}{|c|}{OOS}& \multicolumn{4}{|c|}{$TDC_{EN}$} & \multicolumn{12}{|c|}{Time LSB [11..0]}  \\ \hline  

  \rownumber &\multicolumn{16}{|c|}{TDC0: 31:enabled, 30:OOS, 29: size mismatch, 28: tdc overflow}& 0 &\multicolumn{15}{|c|}{size}\\ \hline
  \rownumber &\multicolumn{16}{|c|}{TDC1: 31:enabled, 30:OOS, 29: size mismatch, 28: tdc overflow}& 0 &\multicolumn{15}{|c|}{size}\\ \hline
  \rownumber &\multicolumn{16}{|c|}{TDC2: 31:enabled, 30:OOS, 29: size mismatch, 28: tdc overflow}& 0 &\multicolumn{15}{|c|}{size}\\ \hline
  \rownumber &\multicolumn{16}{|c|}{TDC3: 31:enabled, 30:OOS, 29: size mismatch, 28: tdc overflow}& 0 &\multicolumn{15}{|c|}{size}\\ \hline

  \rownumber &\multicolumn{24}{|c|}{0 (TDC: 1)} & \multicolumn{8}{|c|}{0x3C} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x67 = 'g'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x2D = '-'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x32 = '2'} \\ \hline
  - &\multicolumn{32}{|c|}{\vdots} \\ \hline
  - &\multicolumn{24}{|c|}{0 (TDC: 2)} & \multicolumn{8}{|c|}{0x3C} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x67 = 'g'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x2D = '-'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x32 = '2'} \\ \hline
  - &\multicolumn{32}{|c|}{\vdots} \\ \hline
  - &\multicolumn{24}{|c|}{0 (TDC: 3)} & \multicolumn{8}{|c|}{0x3C} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x67 = 'g'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x2D = '-'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x32 = '2'} \\ \hline
  - &\multicolumn{32}{|c|}{\vdots} \\ \hline
  - &\multicolumn{24}{|c|}{0 (TDC: 4)} & \multicolumn{8}{|c|}{0x3C} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x67 = 'g'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x2D = '-'} \\ \hline
  - &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x32 = '2'} \\ \hline
  - &\multicolumn{32}{|c|}{\vdots} \\ \hline
  size - 3 &  \multicolumn{32}{|c|}{size} \\ \hline
  size - 2  &\multicolumn{32}{|c|}{CRC} \\ \hline
  size - 1  &\multicolumn{24}{|c|}{0} & \multicolumn{8}{|c|}{0x5C = K28.2} \\ \hline
  \hline
\end{tabular}
\end{document}
